from uuid import UUID

from sqlalchemy import ForeignKey
from sqlalchemy.orm import Mapped, mapped_column

from . import Base


class ReferModel(Base):
    __tablename__ = "referals"

    owner: Mapped[UUID] = mapped_column(ForeignKey("user.id"))
    email: Mapped[str] = mapped_column(unique=True)
    hashed_password: Mapped[str]
